package common

// Generated from gpg-error.h with some manual changes (thus no go generate used).

// GPG_ERR_SOURCE_* constants from gpg-error.h.
const (
	ErrSrcUnknown  ErrorSource = 0
	ErrSrcGcrypt               = 1
	ErrSrcGPG                  = 2
	ErrSrcGPGSM                = 3
	ErrSrcGPGagent             = 4
	ErrSrcPinentry             = 5
	ErrSrcSCD                  = 6
	ErrSrcGPGME                = 7
	ErrSrcKeybox               = 8
	ErrSrcKSBA                 = 9
	ErrSrcDirmngr              = 10
	ErrSrcGSTA                 = 11
	ErrSrcGPA                  = 21
	ErrSrcKleo                 = 13
	ErrSrcG13                  = 14
	ErrSrcAssuan               = 15
	ErrSrcTLS                  = 17
	ErrSrcAny                  = 31
	ErrSrcUser1                = 32
	ErrSrcUser2                = 33
	ErrSrcUser3                = 34
	ErrSrcUser4                = 35
)

// Remaining GPG_ERR_* constants from gpg-error.h (error codes).
const (
	ErrNoError               ErrorCode = 0
	ErrGeneral                         = 1
	ErrUnknownPacket                   = 2
	ErrUnknownVersion                  = 3
	ErrPubkeyAlgo                      = 4
	ErrDigestAlgo                      = 5
	ErrBadPubkey                       = 6
	ErrBadSeckey                       = 7
	ErrBadSignature                    = 8
	ErrNoPubkey                        = 9
	ErrChecksum                        = 10
	ErrBadPassphrase                   = 11
	ErrCipherAlgo                      = 12
	ErrKeyringOpen                     = 13
	ErrInvPacket                       = 14
	ErrInvArmor                        = 15
	ErrNoUserID                        = 16
	ErrNoSeckey                        = 17
	ErrWrongSeckey                     = 18
	ErrBadKey                          = 19
	ErrComprAlgo                       = 20
	ErrNoPrime                         = 21
	ErrNoEncodingMethod                = 22
	ErrNoEncryptionScheme              = 23
	ErrNoSignatureScheme               = 24
	ErrInvAttr                         = 25
	ErrNoValue                         = 26
	ErrNotFound                        = 27
	ErrValueNotFound                   = 28
	ErrSyntax                          = 29
	ErrBadMpi                          = 30
	ErrInvPassphrase                   = 31
	ErrSigClass                        = 32
	ErrResourceLimit                   = 33
	ErrInvKeyring                      = 34
	ErrTrustdb                         = 35
	ErrBadCert                         = 36
	ErrInvUserID                       = 37
	ErrUnexpected                      = 38
	ErrTimeConflict                    = 39
	ErrKeyserver                       = 40
	ErrWrongPubkeyAlgo                 = 41
	ErrTributeToDA                     = 42
	ErrWeakKey                         = 43
	ErrInvKeylen                       = 44
	ErrInvArg                          = 45
	ErrBadURI                          = 46
	ErrInvURI                          = 47
	ErrNetwork                         = 48
	ErrUnknownHost                     = 49
	ErrSelftestFailed                  = 50
	ErrNotEncrypted                    = 51
	ErrNotProcessed                    = 52
	ErrUnusablePubkey                  = 53
	ErrUnusableSeckey                  = 54
	ErrInvValue                        = 55
	ErrBadCertChain                    = 56
	ErrMissingCert                     = 57
	ErrNoData                          = 58
	ErrBug                             = 59
	ErrNotSupported                    = 60
	ErrInvOp                           = 61
	ErrTimeout                         = 62
	ErrInternal                        = 63
	ErrEOFGcrypt                       = 64
	ErrInvObj                          = 65
	ErrTooShort                        = 66
	ErrTooLarge                        = 67
	ErrNoObj                           = 68
	ErrNotImplemented                  = 69
	ErrConflict                        = 70
	ErrInvCipherMode                   = 71
	ErrInvFlag                         = 72
	ErrInvHandle                       = 73
	ErrTruncated                       = 74
	ErrIncompleteLine                  = 75
	ErrInvResponse                     = 76
	ErrNoAgent                         = 77
	ErrAgent                           = 78
	ErrInvData                         = 79
	ErrAssuanServerFault               = 80
	ErrAssuan                          = 81
	ErrInvSessionKey                   = 82
	ErrInvSexp                         = 83
	ErrUnsupportedAlgorithm            = 84
	ErrNoPinEntry                      = 85
	ErrPinEntry                        = 86
	ErrBadPIN                          = 87
	ErrInvName                         = 88
	ErrBadData                         = 89
	ErrInvParameter                    = 90
	ErrWrongCard                       = 91
	ErrNoDirmngr                       = 92
	ErrDirmngr                         = 93
	ErrCertRevoked                     = 94
	ErrNoCrlKnown                      = 95
	ErrCrlTooOld                       = 96
	ErrLineTooLong                     = 97
	ErrNotTrusted                      = 98
	ErrCanceled                        = 99
	ErrBadCaCert                       = 100
	ErrCertExpired                     = 101
	ErrCertTooYoung                    = 102
	ErrUnsupportedCert                 = 103
	ErrUnknownSexp                     = 104
	ErrUnsupportedProtection           = 105
	ErrCorruptedProtection             = 106
	ErrAmbiguousName                   = 107
	ErrCard                            = 108
	ErrCardReset                       = 109
	ErrCardRemoved                     = 110
	ErrInvCard                         = 111
	ErrCardNotPresent                  = 112
	ErrNoPkcs15App                     = 113
	ErrNotConfirmed                    = 114
	ErrConfiguration                   = 115
	ErrNoPolicyMatch                   = 116
	ErrInvIndex                        = 117
	ErrInvID                           = 118
	ErrNoScdaemon                      = 119
	ErrScdaemon                        = 120
	ErrUnsupportedProtocol             = 121
	ErrBadPinMethod                    = 122
	ErrCardNotInitialized              = 123
	ErrUnsupportedOperation            = 124
	ErrWrongKeyUsage                   = 125
	ErrNothingFound                    = 126
	ErrWrongBlobType                   = 127
	ErrMissingValue                    = 128
	ErrHardware                        = 129
	ErrPinBlocked                      = 130
	ErrUseConditions                   = 131
	ErrPinNotSynced                    = 132
	ErrInvCrl                          = 133
	ErrBadBer                          = 134
	ErrInvBer                          = 135
	ErrElementNotFound                 = 136
	ErrIdentifierNotFound              = 137
	ErrInvTag                          = 138
	ErrInvLength                       = 139
	ErrInvKeyinfo                      = 140
	ErrUnexpectedTag                   = 141
	ErrNotDerEncoded                   = 142
	ErrNoCmsObj                        = 143
	ErrInvCmsObj                       = 144
	ErrUnknownCmsObj                   = 145
	ErrUnsupportedCmsObj               = 146
	ErrUnsupportedEncoding             = 147
	ErrUnsupportedCmsVersion           = 148
	ErrUnknownAlgorithm                = 149
	ErrInvEngine                       = 150
	ErrPubkeyNotTrusted                = 151
	ErrDecryptFailed                   = 152
	ErrKeyExpired                      = 153
	ErrSigExpired                      = 154
	ErrEncodingProblem                 = 155
	ErrInvState                        = 156
	ErrDupValue                        = 157
	ErrMissingAction                   = 158
	ErrModuleNotFound                  = 159
	ErrInvOidString                    = 160
	ErrInvTime                         = 161
	ErrInvCrlObj                       = 162
	ErrUnsupportedCrlVersion           = 163
	ErrInvCertObj                      = 164
	ErrUnknownName                     = 165
	ErrLocaleProblem                   = 166
	ErrNotLocked                       = 167
	ErrProtocolViolation               = 168
	ErrInvMac                          = 169
	ErrInvRequest                      = 170
	ErrUnknownExtn                     = 171
	ErrUnknownCritExtn                 = 172
	ErrLocked                          = 173
	ErrUnknownOption                   = 174
	ErrUnknownCommand                  = 175
	ErrNotOperational                  = 176
	ErrNoPassphrase                    = 177
	ErrNoPin                           = 178
	ErrNotEnabled                      = 179
	ErrNoEngine                        = 180
	ErrMissingKey                      = 181
	ErrTooMany                         = 182
	ErrLimitReached                    = 183
	ErrNotInitialized                  = 184
	ErrMissingIssuerCert               = 185
	ErrNoKeyserver                     = 186
	ErrInvCurve                        = 187
	ErrUnknownCurve                    = 188
	ErrDupKey                          = 189
	ErrAmbiguous                       = 190
	ErrNoCryptCtx                      = 191
	ErrWrongCryptCtx                   = 192
	ErrBadCryptCtx                     = 193
	ErrCryptCtxConflict                = 194
	ErrBrokenPubkey                    = 195
	ErrBrokenSeckey                    = 196
	ErrMacAlgo                         = 197
	ErrFullyCanceled                   = 198
	ErrUnfinished                      = 199
	ErrBufferTooShort                  = 200
	ErrSEXPInvLenSpec                  = 201
	ErrSEXPStringTooLong               = 202
	ErrSEXPUnmatchedParen              = 203
	ErrSEXPNotCanonical                = 204
	ErrSEXPBadCharacter                = 205
	ErrSEXPBadQuotation                = 206
	ErrSEXPZeroPrefix                  = 207
	ErrSEXPNestedDh                    = 208
	ErrSEXPUnmatchedDh                 = 209
	ErrSEXPUnexpectedPunc              = 210
	ErrSEXPBadHexChar                  = 211
	ErrSEXPOddHexNumbers               = 212
	ErrSEXPBadOctChar                  = 213
	ErrSubkeysExpOrRev                 = 217
	ErrDBCorrupted                     = 218
	ErrServerFailed                    = 219
	ErrNoName                          = 220
	ErrNoKey                           = 221
	ErrLegacyKey                       = 222
	ErrRequestTooShort                 = 223
	ErrRequestTooLong                  = 224
	ErrObjTermState                    = 225
	ErrNoCertChain                     = 226
	ErrCertTooLarge                    = 227
	ErrInvRecord                       = 228
	ErrBadMAC                          = 229
	ErrUnexpectedMsg                   = 230
	ErrComprFailed                     = 231
	ErrWouldWrap                       = 232
	ErrFatalAlert                      = 233
	ErrNoCipher                        = 234
	ErrMissingClientCert               = 235
	ErrCloseNotify                     = 236
	ErrTicketExpired                   = 237
	ErrBadTicket                       = 238
	ErrUnknownIdentity                 = 239
	ErrBadHSCert                       = 240
	ErrBadHSCertReq                    = 241
	ErrBadHSCertVer                    = 242
	ErrBadHSChangeCipher               = 243
	ErrBadHSClientHello                = 244
	ErrBadHSServerHello                = 245
	ErrBadHSServerHelloDone            = 246
	ErrBadHSFinished                   = 247
	ErrBadHSServerKex                  = 248
	ErrBadHSClientKex                  = 249
	ErrBogusString                     = 250
	ErrForbidden                       = 251
	ErrKeyDisabled                     = 252
	ErrKeyOnCard                       = 253
	ErrInvLockObj                      = 254
	ErrTrue                            = 255
	ErrFalse                           = 256
	ErrAssGeneral                      = 257
	ErrAssAcceptFailed                 = 258
	ErrAssConnectFailed                = 259
	ErrAssInvResponse                  = 260
	ErrAssInvValue                     = 261
	ErrAssIncompleteLine               = 262
	ErrAssLineTooLong                  = 263
	ErrAssNestedCommands               = 264
	ErrAssNoDataCb                     = 265
	ErrAssNoInquireCb                  = 266
	ErrAssNotAServer                   = 267
	ErrAssNotAClient                   = 268
	ErrAssServerStart                  = 269
	ErrAssReadError                    = 270
	ErrAssWriteError                   = 271
	ErrAssTooMuchData                  = 273
	ErrAssUnexpectedCmd                = 274
	ErrAssUnknownCmd                   = 275
	ErrAssSyntax                       = 276
	ErrAssCanceled                     = 277
	ErrAssNoInput                      = 278
	ErrAssNoOutput                     = 279
	ErrAssParameter                    = 280
	ErrAssUnknownInquire               = 281
	ErrEngineTooOld                    = 300
	ErrWindowTooSmall                  = 301
	ErrWindowTooLarge                  = 302
	ErrMissingEnvvar                   = 303
	ErrUserIDExists                    = 304
	ErrNameExists                      = 305
	ErrDupName                         = 306
	ErrTooYoung                        = 307
	ErrTooOld                          = 308
	ErrUnknownFlag                     = 309
	ErrInvOrder                        = 310
	ErrAlreadyFetched                  = 311
	ErrTryLater                        = 312
	ErrWrongName                       = 313
	ErrSystemBug                       = 666
	ErrDNSUnknown                      = 711
	ErrDNSSection                      = 712
	ErrDNSAddress                      = 713
	ErrDNSNoQuery                      = 714
	ErrDNSNoAnswer                     = 715
	ErrDNSClosed                       = 716
	ErrDNSVerify                       = 717
	ErrDNSTimeout                      = 718
	ErrLDAPGeneral                     = 721
	ErrLDAPAttrGeneral                 = 722
	ErrLDAPNameGeneral                 = 723
	ErrLDAPSecurityGeneral             = 724
	ErrLDAPServiceGeneral              = 725
	ErrLDAPUpdateGeneral               = 726
	ErrLDAPEGeneral                    = 727
	ErrLDAPXGeneral                    = 728
	ErrLDAPOtherGeneral                = 729
	ErrLDAPXConnecting                 = 750
	ErrLDAPReferralLimit               = 751
	ErrLDAPClientLoop                  = 752
	ErrLDAPNoResults                   = 754
	ErrLDAPControlNotFound             = 755
	ErrLDAPNotSupported                = 756
	ErrLDAPConnect                     = 757
	ErrLDAPNoMemory                    = 758
	ErrLDAPParam                       = 759
	ErrLDAPUserCancelled               = 760
	ErrLDAPFilter                      = 761
	ErrLDAPAuthUnknown                 = 762
	ErrLDAPTimeout                     = 763
	ErrLDAPDecoding                    = 764
	ErrLDAPEncoding                    = 765
	ErrLDAPLocal                       = 766
	ErrLDAPServerDown                  = 767
	ErrLDAPSuccess                     = 768
	ErrLDAPOperations                  = 769
	ErrLDAPProtocol                    = 770
	ErrLDAPTimelimit                   = 771
	ErrLDAPSizelimit                   = 772
	ErrLDAPCompareFalse                = 773
	ErrLDAPCompareTrue                 = 774
	ErrLDAPUnsupportedAuth             = 775
	ErrLDAPStrongAuthRqrd              = 776
	ErrLDAPPartialResults              = 777
	ErrLDAPReferral                    = 778
	ErrLDAPAdminlimit                  = 779
	ErrLDAPUnavailCritExtn             = 780
	ErrLDAPConfidentRqrd               = 781
	ErrLDAPSaslBindInprog              = 782
	ErrLDAPNoSuchAttribute             = 784
	ErrLDAPUndefinedType               = 785
	ErrLDAPBadMatching                 = 786
	ErrLDAPConstViolation              = 787
	ErrLDAPTypeValueExists             = 788
	ErrLDAPInvSyntax                   = 789
	ErrLDAPNoSuchObj                   = 800
	ErrLDAPAliasProblem                = 801
	ErrLDAPInvDnSyntax                 = 802
	ErrLDAPIsLeaf                      = 803
	ErrLDAPAliasDeref                  = 804
	ErrLDAPXProxyAuthFail              = 815
	ErrLDAPBadAuth                     = 816
	ErrLDAPInvCredentials              = 817
	ErrLDAPInsufficientAcc             = 818
	ErrLDAPBusy                        = 819
	ErrLDAPUnavailable                 = 820
	ErrLDAPUnwillToPerform             = 821
	ErrLDAPLoopDetect                  = 822
	ErrLDAPNamingViolation             = 832
	ErrLDAPObjClsViolation             = 833
	ErrLDAPNotAllowNonleaf             = 834
	ErrLDAPNotAllowOnRdn               = 835
	ErrLDAPAlreadyExists               = 836
	ErrLDAPNoObjClassMods              = 837
	ErrLDAPResultsTooLarge             = 838
	ErrLDAPAffectsMultDsas             = 839
	ErrLDAPVlv                         = 844
	ErrLDAPOther                       = 848
	ErrLDAPCupResourceLimit            = 881
	ErrLDAPCupSecViolation             = 882
	ErrLDAPCupInvData                  = 883
	ErrLDAPCupUnsupScheme              = 884
	ErrLDAPCupReload                   = 885
	ErrLDAPCancelled                   = 886
	ErrLDAPNoSuchOperation             = 887
	ErrLDAPTooLate                     = 888
	ErrLDAPCannotCancel                = 889
	ErrLDAPAssertionFailed             = 890
	ErrLDAPProxAuthDenied              = 891
	ErrUser1                           = 1024
	ErrUser2                           = 1025
	ErrUser3                           = 1026
	ErrUser4                           = 1027
	ErrUser5                           = 1028
	ErrUser6                           = 1029
	ErrUser7                           = 1030
	ErrUser8                           = 1031
	ErrUser9                           = 1032
	ErrUser10                          = 1033
	ErrUser11                          = 1034
	ErrUser12                          = 1035
	ErrUser13                          = 1036
	ErrUser14                          = 1037
	ErrUser15                          = 1038
	ErrUser16                          = 1039
	ErrMissingErrno                    = 16381
	ErrUnknownErrno                    = 16382
	ErrEOF                             = 16383
)
